Bug 520288 - [SELinux] setfiles returns error code 1 during update
Summary: [SELinux] setfiles returns error code 1 during update
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-30 08:53 UTC by Joachim Frieben
Modified: 2009-08-31 14:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-31 14:04:43 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2009-08-30 08:53:18 UTC
Description of problem:
When updating to the latest SELinux policy of type "targeted", setfiles returns error code 1.

  Updating       : selinux-policy-targeted 3.6.28-9.fc12.noarch        11/24
  /etc/selinux/targeted/contexts/files/file_contexts: Invalid argument
  libsemanage.semanage_install_active: setfiles returned error code 1.
  semodule:  Failed!

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.6.28-9.fc12.noarch

How reproducible:
Always.

Steps to Reproduce:
1. 'yum update selinux-policy-targeted'.

Actual results:
semodule reports error.

Expected results:
Package update completes without error.

Additional info:
None.

Comment 1 Daniel Walsh 2009-08-31 13:25:46 UTC
Did you get any AVC messages when this happened?

Does yum reinstall selinux-policy-targeted  succeed?

Comment 2 Joachim Frieben 2009-08-31 13:37:51 UTC
Same error, no AVC messages. SELINUX=permissive.

Comment 3 Daniel Walsh 2009-08-31 14:04:43 UTC
Ok I found the problem.

Fixed in selinux-policy-3.6.29-2.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.